### Method

# FwupdPlugin Plugin get_rules

since: 1.0.0

#### Declaration [src]

    GPtrArray*
    fu_plugin_get_rules (
      FuPlugin* self,
      FuPluginRule rule
    )

#### Description [src]

Gets the plugin IDs that should be run after this plugin.

Available since: 1.0.0

#### Parameters

`rule`

  Type: `FuPluginRule`

  A plugin rule, e.g. `FU_PLUGIN_RULE_CONFLICTS`.

#### Return value

Type: An array of `utf8`

The list of plugin names, e.g. `['appstream']`.

The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.